org.apache.poi.hwmf.record

## Enum HwmfMisc.WmfSetStretchBltMode.StretchBltMode

- java.lang.Object
- - java.lang.Enum<HwmfMisc.WmfSetStretchBltMode.StretchBltMode>
  - - org.apache.poi.hwmf.record.HwmfMisc.WmfSetStretchBltMode.StretchBltMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HwmfMisc.WmfSetStretchBltMode.StretchBltMode>
  Enclosing class:
    HwmfMisc.WmfSetStretchBltMode

      public static enum HwmfMisc.WmfSetStretchBltMode.StretchBltMode
      extends java.lang.Enum<HwmfMisc.WmfSetStretchBltMode.StretchBltMode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLACKONWHITE` Performs a Boolean AND operation by using the color values for the eliminated and existing pixels.
    `COLORONCOLOR` Deletes the pixels.
    `HALFTONE` Maps pixels from the source rectangle into blocks of pixels in the destination rectangle.
    `WHITEONBLACK` Performs a Boolean OR operation by using the color values for the eliminated and existing pixels.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `flag`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HwmfMisc.WmfSetStretchBltMode.StretchBltMode` | `valueOf(int flag)`
    `static HwmfMisc.WmfSetStretchBltMode.StretchBltMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HwmfMisc.WmfSetStretchBltMode.StretchBltMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BLACKONWHITE

          public static final HwmfMisc.WmfSetStretchBltMode.StretchBltMode BLACKONWHITE

      Performs a Boolean AND operation by using the color values for the eliminated and existing pixels. If the bitmap is a monochrome bitmap, this mode preserves black pixels at the expense of white pixels. EMF name: STRETCH_ANDSCANS

    - #### WHITEONBLACK

          public static final HwmfMisc.WmfSetStretchBltMode.StretchBltMode WHITEONBLACK

      Performs a Boolean OR operation by using the color values for the eliminated and existing pixels. If the bitmap is a monochrome bitmap, this mode preserves white pixels at the expense of black pixels. EMF name: STRETCH_ORSCANS

    - #### COLORONCOLOR

          public static final HwmfMisc.WmfSetStretchBltMode.StretchBltMode COLORONCOLOR

      Deletes the pixels. This mode deletes all eliminated lines of pixels without trying to preserve their information. EMF name: STRETCH_DELETESCANS

    - #### HALFTONE

          public static final HwmfMisc.WmfSetStretchBltMode.StretchBltMode HALFTONE

      Maps pixels from the source rectangle into blocks of pixels in the destination rectangle. The average color over the destination block of pixels approximates the color of the source pixels. After setting the HALFTONE stretching mode, the brush origin MUST be set to avoid misalignment artifacts - in EMF this is done via EmfSetBrushOrgEx EMF name: STRETCH_HALFTONE

  - ### Field Detail

    - #### flag

          public final int flag

  - ### Method Detail

    - #### values

          public static HwmfMisc.WmfSetStretchBltMode.StretchBltMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HwmfMisc.WmfSetStretchBltMode.StretchBltMode c : HwmfMisc.WmfSetStretchBltMode.StretchBltMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HwmfMisc.WmfSetStretchBltMode.StretchBltMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static HwmfMisc.WmfSetStretchBltMode.StretchBltMode valueOf(int flag)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.